Sub AllFonts()

	Dim tm as Object
	Dim f as Object
	Dim i, j as Integer
	Dim Answer as Integer
	Dim Details as Integer

Begin Dialog FONTSDIALOG 61,96, 206, 48, "Alle Schriften auflisten"
  OKButton 148,8,44,12
  Text 8,8,132,8, "Dieses Script erstellt ein neues Dokument mit allen"
  CancelButton 148,24,44,12
  Text 8,16,132,8, "in Windows installierten Schriften."
  CheckBox 8,32,120,8, "Auch Schriftschnitte zeigen", .Details
End Dialog

	Dim Dlg as FONTSDIALOG
	If Dialog(Dlg) = 0 Then End
	Details = Dlg.Details

	' Mit TextMaker verbinden; TextMaker starten, wenn er noch nicht luft
	Set tm = CreateObject("TextMaker.Application")

	' TextMaker sichtbar machen
	tm.Visible = TRUE

	' TextMaker-Programmfenster maximieren
	tm.WindowState = tmWindowStateMaximize

	' Fokus auf TextMaker
	tm.Activate 

	' Ein leeres Dokument anlegen
	tm.Documents.Add

	' Zahl der Schriftfamilien anzeigen
	With tm.ActiveDocument.Selection
		.TypeText tm.FontNames.Count & " Schriftfamilien installiert"
		.TypeParagraph
		.TypeParagraph
	End With

	For i=1 To tm.FontNames.Count
		With tm.ActiveDocument.Selection
			tm.Activate
			.Font.Name = "Arial"
			.Font.Size = 8
			.TypeText i & ". " 
			.Font.Size = 10

			If tm.FontNames(i).Charset = tmSymbolCharset Then
				.Font.Name = "Arial" 
				.TypeText tm.FontNames(i) & " (Symbolschrift) "
				.Font.Name = tm.FontNames(i)
				For j = 33 to 50 
					.TypeText Chr(j)
				Next j
				.TypeParagraph
			Else
				.Font.Name = tm.FontNames(i)
				If Details Then
					.TypeText tm.FontNames(i) & " normal "
					.Font.Italic = True
					.TypeText tm.FontNames(i) & " kursiv "
					.Font.Italic = False
					.Font.Bold = True
					.TypeText tm.FontNames(i) & " fett "
					.Font.Italic = True
					.TypeText tm.FontNames(i) & " fett-kursiv"
					.Font.Bold = False
					.Font.Italic = False
					.TypeParagraph
				Else
					.TypeText tm.FontNames(i)
					.TypeParagraph
				End If
			End If 

		End With
	next 

	' Verbindung zu TextMaker trennen
	Set tm = Nothing
End Sub

