Option Explicit

Sub PlanMakerDemo()

	Dim answer as String
	Dim tm as Object
	Dim pm as Object
	Dim workRange as Object

	answer = MsgBox("Dieses Beispielprogramm startet PlanMaker, fhrt" _
    		 + chr$(10) + "Berechnungen aus und kopiert das Ergebnis auf Wunsch in TextMaker" _
             + chr$(10) + chr$(10) + "Wollen Sie fortfahren?", MB_YESNO or MB_ICONQUESTION)

	If answer = IDNO Then End

	' PlanMaker starten
	Set pm = CreateObject("PlanMaker.Application")

	pm.Visible = True
	pm.Activate

	If pm.WorkBooks.Count = 0 Then pm.WorkBooks.Add

	' Zelle A1 editieren

	pm.Range("a1").Value = "Einfache Tabelle"
	pm.Range("a1").Font.Bold = TRUE

	' Zelle A2 editieren

	pm.Range("a2").Value = 1
	pm.Range("a2").Font.Color = pmColorBlue

	' Zelle A3 editieren

	pm.Range("a3").Value = 2

	' Zelle A4 editieren

	pm.Range("a4").Value = "4"
	pm.Range("a4").Font.Color = pmColorRed

	pm.Range("a5").Formula = "=SUMME(A2:A4)"

	answer = MsgBox("Mchten Sie diese Tabelle in TextMaker bernehmen?", MB_YESNO or MB_ICONQUESTION, "Frage")

	If answer = IDYES Then
		set workRange = pm.Range("a1:a5")
		workRange.Select
		workRange.Copy

		Set tm = CreateObject("TextMaker.Application")
		tm.Visible = True
		tm.Documents.Add
		tm.ActiveDocument.Selection.TypeText "Diese Tabelle entstand in PlanMaker:"
		tm.ActiveDocument.Selection.TypeParagraph
		tm.ActiveDocument.Selection.TypeParagraph
		tm.ActiveDocument.Selection.Paste
	End If
End Sub

