Option Explicit

Sub PlanMakerDemo()

	Dim answer as String
	Dim tm as Object
	Dim pm as Object
	Dim workRange as Object

	answer = MsgBox("This sample program launches PlanMaker, carries out" _
    		 + chr$(10) + "some calculations, and optionally copies the result to TextMaker." _
             + chr$(10) + chr$(10) + "Would you like to proceed?", MB_YESNO or MB_ICONQUESTION)

	If answer = IDNO Then End

	' Launch PlanMaker
	Set pm = CreateObject("PlanMaker.Application")

	pm.Visible = True
	pm.Activate

	If pm.WorkBooks.Count = 0 Then pm.WorkBooks.Add

	' Edit cell A1

	pm.Range("a1").Value = "Simple table"
	pm.Range("a1").Font.Bold = TRUE

	' Edit cell A2

	pm.Range("a2").Value = 1
	pm.Range("a2").Font.Color = pmColorBlue

	' Edit cell A3

	pm.Range("a3").Value = 2

	' Edit cell A4

	pm.Range("a4").Value = "4"
	pm.Range("a4").Font.Color = pmColorRed

	pm.Range("a5").Formula = "=SUM(A2:A4)"

	answer = MsgBox("Would you like to transfer this table to TextMaker?", MB_YESNO or MB_ICONQUESTION, "Question")

	If answer = IDYES Then
		set workRange = pm.Range("a1:a5")
		workRange.Select
		workRange.Copy

		Set tm = CreateObject("TextMaker.Application")
		tm.Visible = True
		tm.Documents.Add
		tm.ActiveDocument.Selection.TypeText "This table has been created in PlanMaker:"
		tm.ActiveDocument.Selection.TypeParagraph
		tm.ActiveDocument.Selection.TypeParagraph
		tm.ActiveDocument.Selection.Paste
	End If
End Sub

