Sub TextMakerDemo()

	Dim tm as Object
	Dim x as Object
	Dim i as Integer
	Dim Answer as integer

	' Mit TextMaker verbinden; TextMaker starten, wenn er noch nicht luft
	Set tm = CreateObject("TextMaker.Application")

	' TextMaker sichtbar machen
	tm.Visible = TRUE

	' TextMaker-Programmfenster maximieren
	tm.WindowState = tmWindowStateMaximize

	' Fokus auf TextMaker, damit SendKeys auf jeden Fall ans richtige Fenster geht
	tm.Activate 

	' Ein leeres Dokument anlegen
	tm.Documents.Add

	' Text an TextMaker bermitteln
	SendKeys "Dieser Text kommt von BasicMaker {Enter}"

	' Oder besser mit der TypeText-Methode
	With tm.ActiveDocument.Selection
		.TypeText "Auch dieser Text kommt von BasicMaker"
		.TypeParagraph
		.TypeText "Eine neue Zeile"
	End With
	
	' Markieren des Wortes
	tm.ActiveDocument.Selection.SetRange 0, 11

	' Schrift auf Arial ndern
	tm.ActiveDocument.Selection.Font.Name = "Arial"
	tm.ActiveDocument.Selection.Font.Size = 18

	' Wort wieder entmarkieren
	tm.ActiveDocument.Selection.SetRange 0, 0

	' Neue Zeile
	tm.ActiveDocument.Selection.TypeParagraph

	' Seitenumbruch
	' MsgBox "Jetzt wird ein Seitenumbruch eingefgt", MB_OK or MB_ICONEXCLAMATION, "Hinweis"
	' tm.ActiveDocument.Selection.InsertBreak tmPageBreak

	' Eine Meldung ausgeben, TextMaker gegebenenfalls beenden
	Answer = MsgBox("Wollen Sie TextMaker jetzt beenden?", MB_YESNO or MB_ICONQUESTION, "Frage")

	if Answer = IDYES then 
	   tm.ActiveDocument.Saved = True ' Flag "Dokument wurde noch nicht gespeichert" lschen
	   tm.ActiveDocument.Close
	   tm.Quit ' TextMaker beenden
	else		
	   MsgBox "Das Dokument bleibt geffnet, Sie knnen jetzt Text eingeben.", MB_OK or MB_ICONEXCLAMATION, "Hinweis"
	end if	  

	' Verbindung zu TextMaker trennen
	Set tm = Nothing
End Sub

