Sub AllFonts()

	Dim tm as Object
	Dim f as Object
	Dim i, j as Integer
	Dim Answer as Integer
	Dim Details as Integer

Begin Dialog FONTSDIALOG 61,96, 206, 48, "List all fonts"
  OKButton 148,8,44,12
  Text 8,8,132,8, "This script creates a document containing"
  CancelButton 148,24,44,12
  Text 8,16,132,8, "all fonts currently installed in Windows."
  CheckBox 8,32,120,8, "Also show style variations", .Details
End Dialog

	Dim Dlg as FONTSDIALOG
	If Dialog(Dlg) = 0 Then End
	Details = Dlg.Details

	' Connect to TextMaker. Launch if not already running.
	Set tm = CreateObject("TextMaker.Application")

	' Make TextMaker visible
	tm.Visible = TRUE

	' Maximize TextMaker's application window
	tm.WindowState = tmWindowStateMaximize

	' Set focus to TextMaker
	tm.Activate 

	' Add an empty document
	tm.Documents.Add

	' Show number of font families
	With tm.ActiveDocument.Selection
		.TypeText tm.FontNames.Count & " fonts available"
		.TypeParagraph
		.TypeParagraph
	End With

	For i=1 To tm.FontNames.Count
		With tm.ActiveDocument.Selection
			tm.Activate
			.Font.Name = "Arial"
			.Font.Size = 8
			.TypeText i & ". " 
			.Font.Size = 10

			If tm.FontNames(i).Charset = tmSymbolCharset Then
				.Font.Name = "Arial" 
				.TypeText tm.FontNames(i) & " (symbol font) "
				.Font.Name = tm.FontNames(i)
				For j = 33 to 50 
					.TypeText Chr(j)
				Next j
				.TypeParagraph
			Else
				.Font.Name = tm.FontNames(i)
				If Details Then
					.TypeText tm.FontNames(i) & " regular "
					.Font.Italic = True
					.TypeText tm.FontNames(i) & " italic "
					.Font.Italic = False
					.Font.Bold = True
					.TypeText tm.FontNames(i) & " bold "
					.Font.Italic = True
					.TypeText tm.FontNames(i) & " bold italic"
					.Font.Bold = False
					.Font.Italic = False
					.TypeParagraph
				Else
					.TypeText tm.FontNames(i)
					.TypeParagraph
				End If
			End If 

		End With
	next 

	' Disconnect from TextMaker
	Set tm = Nothing
End Sub

